jphase.values

## Class ReaderWriter

- java.lang.Object
- - jphase.values.ReaderWriter

-     public class ReaderWriter
      extends java.lang.Object

  This class generates instances for writing an reading data to/from system files.
  Author:
    Andrés Sarmiento Romero

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.io.BufferedReader` | `in` File reader
    `static java.io.PrintWriter` | `out` File writer

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.ArrayList<java.lang.Double>` | `cargarDatosList(java.lang.String ruta)` Given a route that contains, this method reads a file located a ´ruta´ and stores it in Double List
    `static void` | `escritor(java.io.PrintWriter pw, cern.colt.list.DoubleArrayList lista)` Given a file writer, uses it to write a data array.
    `static void` | `inicializarLector(java.lang.String ruta)` Given a system file location, initialices class reader pointing to the file.
    `static double[]` | `saveFileToVector(java.lang.String ruta)` Given a route that contains, this method reads a file located a ´ruta´ and stores it in Double Vector

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### out

          public static java.io.PrintWriter out

      File writer

    - #### in

          public static java.io.BufferedReader in

      File reader

  - ### Constructor Detail

    - #### ReaderWriter

          public ReaderWriter()

  - ### Method Detail

    - #### cargarDatosList

          public static java.util.ArrayList<java.lang.Double> cargarDatosList(java.lang.String ruta)

      Given a route that contains, this method reads a file located a ´ruta´ and stores it in Double List

    - #### saveFileToVector

          public static double[] saveFileToVector(java.lang.String ruta)

      Given a route that contains, this method reads a file located a ´ruta´ and stores it in Double Vector

    - #### inicializarLector

          public static void inicializarLector(java.lang.String ruta)
                                        throws java.io.IOException

      Given a system file location, initialices class reader pointing to the file.
      Throws:
        `java.io.IOException`

    - #### escritor

          public static void escritor(java.io.PrintWriter pw,
                      cern.colt.list.DoubleArrayList lista)

      Given a file writer, uses it to write a data array. If the printwriter is null writes in console